## sql_info

### Verwendung

Sie lassen sich die Struktur der Ergebnismenge einer SQL-Anweisung anzeigen.

Sie erhalten die Namen aller Spalten angezeigt. Diese sind durch Semikolon voneinander getrennt.

Siehe auch:

Konzepte des Datenbanksystems, SQL

### Voraussetzungen

Sie haben die Serverberechtigung AccessSQL.

### Syntax

sql_info <statement>

<statement> | SQL-Anweisung

### Antwort

OK

<col_name>;<col_name>;...;<col_name>

<col_name> | Spaltenname

### Beispiel

Anmelden an den Database Manager CLI als Benutzer OLEG mit dem Kennwort MONDAY, Herstellen der Verbindung zur Datenbankinstanz DEMODB, Anzeigen der Struktur der Ergebnismenge für die SELECT-Anweisung zum Anzeigen des Inhalts der Tabelle users:

>dbmcli -u OLEG,MONDAY - d DEMODB sql_info SELECT * FROM users

OK

OWNER;GROUPNAME;USERNAME;USERMODE;CONNECTMODE;MAXTIMEOUT;COSTWARNING;
COSTLIMIT;DEFAULTCODE;CREATEDATE;CREATETIME;ALTERDATE;ALTERTIME;PWCREADATE;PWCREATIME;SERVERDB;SERVERNODE;USER_ID;ISREPLICATIONUSER;COMMENT